View Issue Details

This bug affects 2 person(s).
 18
IDProjectCategoryView StatusLast Update
18208Bug reports_ Unknownpublic2022-08-05 17:06
Reporterritapas Assigned Togabrieljenik  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.28.x 
Summary18208: limesurvey adds a <title> containing an unwanted string to emails
Description

I've noticed that emails sent by limesurvey now contain the following tag:

Invitations
<title>Rich Text Editor, email_invitation_en</title>
Reminders
<title>Rich Text Editor, email_reminder_en</title>
Confirmations
<title>Rich Text Editor, email_confirmation_en</title>

My survey is in English, I guess a french survey would have Rich Text Editor, email_invitation_fr and so on

This cannot be taken out by editing the email templates

Steps To Reproduce

Steps to reproduce

create a closed survey with html enabled for email sending. Send an intivation/reminder email or have the system send a confirmation
Alternative: check the mail templates and possibly try to change them

Expected result

ordinary message

Actual result

email have tags as follows
<title>Rich Text Editor, email_invitation_en</title>
<title>Rich Text Editor, email_reminder_en</title>
<title>Rich Text Editor, email_confirmation_en</title>

If you go on, this string is appended each time you modify the template in the BODY

TagsNo tags attached.
Bug heat18
Complete LimeSurvey version number (& build)3.28.14 (build 220608)
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox, Google Chrome, Edge
Database type & versionmariadb 5.5.68
Server OS (if known)Red Hat Enterprise Linux Server release 7.9 (Maipo)
Webserver software & version (if known)httpd-2.4.6-97
PHP Versionrh-php71

Relationships

related to 18202 closedgabrieljenik E-Mail Template Editor adds multiple HTML Tags upon every save 
related to 18029 confirmedc_schmitz Removed html tags in emails 
related to 18195 closedgabrieljenik email template for participants duplicating HTML 

Users monitoring this issue

User List ritapas, seccanj

Activities

ritapas

ritapas

2022-06-22 14:13

reporter   ~70484

This does not happen if HTML is disabled for emails.

seccanj

seccanj

2022-06-23 16:42

reporter   ~70511

I couldn't actually find the cause of the problem, but I think it was introduced with https://github.com/LimeSurvey/LimeSurvey/pull/2411 to fix https://bugs.limesurvey.org/view.php?id=18029

gabrieljenik

gabrieljenik

2022-07-01 14:07

manager   ~70666

Commit 39705d5 (PR 2411, Ticket 18029) allows full html editing in CKEditor.
Before, only parts of the html (the body content) were saved. Now CKEditor forms a complete html to be able to display the iframe and that is saved.

DenisChenu

DenisChenu

2022-07-01 16:18

developer   ~70678

We allow html too in 2.6lts, title was set to empty value.

Code s ready for this : https://github.com/LimeSurvey/LimeSurvey/blob/c4a457720c8af164bd0c8c420542ea617bfc46c1/application/core/LimeMailer.php#L582

Seems to be an issue in html editor ?
Maybe an option ?

gabrieljenik

gabrieljenik

2022-07-05 15:08

manager   ~70727

Please update to the latest version and check if the bug can still be reproduced. Thank you.

ritapas

ritapas

2022-08-05 14:19

reporter   ~71348

Version 3.28.20 has it fixed, thanks a lot

Issue History

Date Modified Username Field Change
2022-06-22 13:25 ritapas New Issue
2022-06-22 14:13 ritapas Note Added: 70484
2022-06-22 14:13 ritapas Bug heat 0 => 2
2022-06-22 14:55 ritapas Issue Monitored: ritapas
2022-06-22 14:55 ritapas Bug heat 2 => 4
2022-06-22 14:58 ritapas Bug heat 4 => 10
2022-06-22 15:02 seccanj Issue Monitored: seccanj
2022-06-22 15:02 seccanj Bug heat 10 => 12
2022-06-22 16:28 gabrieljenik Relationship added related to 18202
2022-06-22 16:28 gabrieljenik Assigned To => gabrieljenik
2022-06-22 16:28 gabrieljenik Status new => acknowledged
2022-06-23 16:42 seccanj Note Added: 70511
2022-06-23 16:42 seccanj Bug heat 12 => 14
2022-06-27 00:43 gabrieljenik Relationship added related to 18195
2022-06-27 00:43 gabrieljenik Status acknowledged => confirmed
2022-07-01 14:07 gabrieljenik Note Added: 70666
2022-07-01 14:07 gabrieljenik Bug heat 14 => 16
2022-07-01 14:07 gabrieljenik Relationship added related to 18209
2022-07-01 14:08 gabrieljenik Relationship deleted related to 18209
2022-07-01 14:08 gabrieljenik Relationship added related to 18029
2022-07-01 16:18 DenisChenu Note Added: 70678
2022-07-01 16:18 DenisChenu Bug heat 16 => 18
2022-07-05 15:08 gabrieljenik Status confirmed => feedback
2022-07-05 15:08 gabrieljenik Note Added: 70727
2022-08-05 14:19 ritapas Note Added: 71348
2022-08-05 14:19 ritapas Status feedback => assigned
2022-08-05 17:06 gabrieljenik Status assigned => closed
2022-08-05 17:06 gabrieljenik Resolution open => fixed